View Issue Details

IDProjectCategoryView StatusLast Update
0004442unrealmodule apipublic2015-10-30 09:40
ReporterblankAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version4.0.0-rc3 
Summary0004442: -P doesn't destroy an empty channel
Description13:46 [localhost] -!- #chat_en_español 0 [+ntP]

/mode #chat_en_español -P

13:46 [localhost] -!- #chat_en_español 0 [+nt]
TagsNo tags attached.
3rd party modules

Activities

syzop

2015-10-29 17:55

administrator   ~0018823

Strange. I can't reproduce this.

Are you sure it's preserved? Could you set a topic and test again to see if the topic is still there? +nt may just be your default modes.

blank

2015-10-29 19:43

reporter   ~0018826

Last edited: 2015-10-29 19:44

View 3 revisions

@syzop I guess you are on the channel when you do /mode # -P where as I wasn't?

syzop

2015-10-29 20:15

administrator   ~0018829

Oh thats what you mean. Channels are only destroyed on part. Hmm.

Ok bug understood.

blank

2015-10-29 20:56

reporter   ~0018830

Sorry :p

dboyz

2015-10-30 03:39

reporter   ~0018831

Hi, the permanent channel mode module is currently hooked to HOOKTYPE_CHANNEL_DESTROY only. Need to add functions to handle cases in which the channel mode is removed and user count is 0. Also, we need to consider cases in which this module is unloaded.

syzop

2015-10-30 09:40

administrator   ~0018834

Fixed, thanks! :)

[unreal40 9dc97a0] Destroy channel when oper does (SA)MODE #channel -P on a channel with 0 users. Reported by blank (0004442).
https://github.com/unrealircd/unrealircd/commit/9dc97a0324e2a9edf47a631c232536262c36505c

**
dboyz: sorry couldn't be bothered to deal with module unloading cases ;). Too rare and easily fixed by JOIN+PART.

Issue History

Date Modified Username Field Change
2015-10-29 14:47 blank New Issue
2015-10-29 17:55 syzop Note Added: 0018823
2015-10-29 19:43 blank Note Added: 0018826
2015-10-29 19:44 blank Note Edited: 0018826 View Revisions
2015-10-29 19:44 blank Note Edited: 0018826 View Revisions
2015-10-29 20:15 syzop Note Added: 0018829
2015-10-29 20:56 blank Note Added: 0018830
2015-10-30 03:39 dboyz Note Added: 0018831
2015-10-30 09:40 syzop Note Added: 0018834
2015-10-30 09:40 syzop Status new => resolved
2015-10-30 09:40 syzop Fixed in Version => 4.0.0-rc3
2015-10-30 09:40 syzop Resolution open => fixed
2015-10-30 09:40 syzop Assigned To => syzop
2017-01-06 15:48 syzop Category module => module api